//
// C++ Implementation: sceneframe
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "sceneframe.h"

SceneFrame::SceneFrame(QWidget *parent, const char *name)
 : QHBox(parent, name)
{
    sceneButtons.resize(6);
    sceneButtons.insert(0,new SceneButton(1,QColor(0,255,0),this));
    connect(sceneButtons[0],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[0],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
    sceneButtons.insert(1,new SceneButton(2,QColor(0,0,255),this));
    connect(sceneButtons[1],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[1],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
    sceneButtons.insert(2,new SceneButton(3,QColor(0,255,255),this));
    connect(sceneButtons[2],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[2],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
    sceneButtons.insert(3,new SceneButton(4,QColor(255,255,0),this));
    connect(sceneButtons[3],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[3],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
    sceneButtons.insert(4,new SceneButton(5,QColor(255,0,255),this));
    connect(sceneButtons[4],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[4],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
    sceneButtons.insert(5,new SceneButton(6,QColor(100,100,100),this));
    connect(sceneButtons[5],SIGNAL(sceneSwitchedS(int)),this,SIGNAL(sceneSwitchedS(int )));
    connect(sceneButtons[5],SIGNAL(assignToSceneS(int)),this,SIGNAL(assignToSceneS(int )));
}


SceneFrame::~SceneFrame()
{
}


